AutoCAD Inventor :: How To Put IFeature On Workplane

Aug 12, 2013

I want to put my iFeature on my workplane,but i can't.However, if I change my PlaneInput = oFace , it can work perfectly.My program is below:

Private WithEvents oInteraction As InteractionEvents
Private WithEvents oselect As SelectEvents
Private Sub UserForm_Initialize()
    Set oInteraction = ThisApplication.CommandManager.CreateInteractionEvents
    Set oselect = oInteraction.SelectEvents

[code]...

View 1 Replies


ADVERTISEMENT

AutoCAD Inventor :: Associating A Workplane With A Block

Dec 3, 2012

I want to use a lofted solid as a component in an assembly. I am using a top-down approach with 2D blocks to get the kinematics right before creating the components.

My problem is that the sketches needed to create the loft are on workplanes, and those workplanes are fixe with respect to an absolute coordinte system.

Is there a way to assosiate workplanes with a block instead, so that they will move with the part?

Is it possible that the problem is trying to do this in a part file, and that if I place the finished solid in an assembly it will then be able to move? ( I am fairly new to Inventor.)

View 1 Replies View Related

AutoCAD Inventor :: Moving A Fixed Workplane?

Jan 6, 2014

I created a sketch on a 'fixed workplane' and extruded it. I would like to know if it is possible to move the workplane? I understand I can change the workplane if it is a 'plane by offset from plane'.

If moving a fixed workplane is possible, does the extruded features move along together?

View 2 Replies View Related

AutoCAD Inventor :: IFeature Drop Down - Add New Value

Oct 14, 2012

Is it possible to add new value to the drop down list in the sheet metal punch feature sizing dialog boss.

I see there are 3 sizes bu default.. i need to add new values.

Inventor Professional 2013
Vault Collaboration 2013

View 1 Replies View Related

AutoCAD Inventor :: IFeature Add As A New Solid?

Oct 3, 2011

I have an ifeature (find in an attachement).

My question is: it possible to insert ifeature and get end result as new solid added to a part file

As of now when I add ifeature it merges with the previous solid. I think I am missing something

Config :: Intel (R) Xeon (R) CPU E31245 @ 3.30 GHz, 16.0 GB, 64bit win7
Inventor 2013 and Vault Basic 2013

View 3 Replies View Related

AutoCAD Inventor :: Change Colour Of User Workplane?

Nov 22, 2011

Is it possible to change the colour of User Workplanes in IV 2011?

Autodesk Inventor 2013-64Bit Edition
Intel Xeon W3520 @ 2.67GHz
Win 7 Pro
6.7 System Rating
NVIDIA Quadro FX 1800

View 1 Replies View Related

AutoCAD Inventor :: Create Workplane From Selected Face?

Nov 14, 2012

I am working on a project were I need to select a face and create a workplane out of such face, see the figure attach. my language of choice is C#. 

Here is what I think it should be done, my proble is that the oWork (the workplane I just created remains null) and the whole project crashes.
 
private Inventor.Application mApp = null;.....if (((mApp.ActiveDocument != null))){
if ((mApp.ActiveDocument.DocumentType == DocumentTypeEnum.kPartDocumentObject)){
PartComponentDefinition oPartCom = mApp.ActiveDocument as PartComponentDefinition;
PartDocument oDoc = mApp.ActiveDocument as PartDocument;if ((oDoc.SelectSet[1]) is Face){
System.Windows.Forms.MessageBox.Show("You just selected a surface", "Surface Evaluator");Face oFace = oDoc.SelectSet[1] as Face;
WorkPlane oWorkpl = oFace as WorkPlane;
PlanarSketch oSketch = oDoc.ComponentDefinition.Sketches.Add(oWorkpl, false);
//WHAT AM I DOING WRONG?
}}}

View 4 Replies View Related

AutoCAD Inventor :: Keep Drawing View Aligned To Workplane?

Jul 31, 2012

I have some models which are based on skeleton modeling and where the actual parts are modeled at the position where they are in the assembly. When the skeleton part is changed the parts will update and their orientation related to the origin planes can change. This is where the problem lies, on the drawings of these parts the views are all skewed after an update.

Is it somehow possible to tell Inventor that all views on a a drawing should stay alligned to a workplane? Because it are all parts and no assemblies I cannot use posreps (and I don't want to use dummy assemblies). I also tried setting a specific edge to be horizontal with the rotate command in the drawing. This works for the base view, but all projected views will still be skewed after an update.

View 2 Replies View Related

AutoCAD Inventor :: VBA Code Not Working For Workplane In Assembly

Oct 15, 2004

I have assembly file in which I have created a work plane "Work Plane19" . Now I wanted to create a new work plane which will be paralle to workplane "WorkPlane19" & offset by 10.5 mm in same assembly document through VBA subroutine. I have tried with following code but getting error,

Public Sub NewWorkPlaneCreate()
Dim oAssly As AssemblyDocument
Set oAssly = ThisApplication.ActiveDocument

[Code].....

View 6 Replies View Related

AutoCAD Inventor :: Create A Workplane With The API That Is Tangent To A Surface

May 18, 2006

How can I create a workplane with the API that is tangent to a surface and passes thru a workpoint. It is easy to create a work plane of type kPointAndTangentWorkPlaneDefObject by point and click in Inventor 11, but I can't figure out how to do it in the API.

View 5 Replies View Related

AutoCAD Inventor :: IPT File - Get Suppress Status Of Workplane

Jul 29, 2013

I have a ipt file in my assembly and try to makes some constraints. Everything ios working well, but there are some suppressed workplanes, and I don't want to use them for a automatically created constraint. Is there a way to find out the workplane suppress status?

Why are they suppressed? They are defined on a part feature (extrusion surface). And when I supress that feature, also the Workplane is suppressed.

But I only can get the visible status. Maybe there's a way to get it about the part feature, but therefore, I have to search for the part feature, and that's also a problem. I cannot get the part feature, who is used for the workplane definition (I think, it's a problem of my knowledge )

Please see attached a small view on the browser where you can see the suppressed Planes.

View 2 Replies View Related

AutoCAD Inventor :: Create WorkPlane By Point And Line

Apr 5, 2013

I am trying to create a workplane by a point and a line.  I can do this maually, but have not been able to reproduce this in code.

BTW: I realize I can create a fixed workplane by using the point, the edge, and an edge perpendicular to the edge, but I cannot have this as a fixed workplane.

View 6 Replies View Related

AutoCAD Inventor :: How To Create Workplane From A Face Using Select Set

Nov 8, 2012

I am making a C# Add-in, I need to create a plane from a selected face, I am using the following code, but I am getting stuck.

if (((mApp.ActiveDocument != null)))
{
if ((mApp.ActiveDocument.DocumentType == DocumentTypeEnum.kPartDocumentObject))
{
PartComponentDefinition oPartCom = mApp.ActiveDocument as PartComponentDefinition;
PartDocument oDoc = mApp.ActiveDocument as PartDocument;
[code].......

View 2 Replies View Related

AutoCAD Inventor :: 2013 WorkPlane Edit Dimension

May 19, 2012

I have three workplanes.  All three were created the same way (offsetting an existing workplane).  I want to change the offset dimension.  I can on one of the planes, but on the other two, I have to "Redefine Feature".  There is no Edit dimension available in the menu.

One plane like this:

Two planes like this:

Why is it different?

View 3 Replies View Related

AutoCAD Inventor :: Rotate New Workplane Along A Default Axis With API

Nov 5, 2011

How do you create a new Workplane from a Defualt Plane and rotate it along a default Axis?I am new to API and trying to create workplanes and rotate them along a Axis.

Im trying to use "AddByPlaneAndOffset" is this the right method?

View 8 Replies View Related

AutoCAD Inventor :: How To Select Workplane In Drawing Document With API

Jun 18, 2013

If i made a workplane include in a drawing document with api, then it will display in the view as a center line.

I want add some note to the Center line,but i didn't know how to select it with api, Is there have the API function to do this work?

View 2 Replies View Related

AutoCAD Inventor :: Making Workplane With Export Object?

Feb 17, 2010

In Inventor, it is possible to mark a workplane with "Export Object", by rightclicking on the node. This make the workplane accessible when using the part as derived.

What is the programmatic access to the property? Can not find it on the Workplane object?

View 2 Replies View Related

AutoCAD Inventor :: Hide Workplane That Is Contained Within Clientfeature?

Oct 18, 2013

Is there anyway to completely hide a workplane that is contained within a clientfeature?

The attached part shows this when you hover over the client feature in the browser. I have the visibility of the plane turned off but it still shows up when the clientfeature is pre-selected.

View 6 Replies View Related

AutoCAD Inventor :: Best Way To Create A Workplane At Angle On Tube Surface?

Aug 1, 2013

What is the best way to create a workplane at a given angle on the surface of the tube. Imagine the workplane long and thin running along the surface of the tube. The angle will be a parameter (from a sketch or user).

I'd like the workplane to always be on the surface of the tube, even when the diameter of the tube (from a dimension in a sketch) changes.I'm thinking that a (angled) line in the same sketch as the two circles (which define the tube diameter and thickness) would be a good starting point.

View 9 Replies View Related

AutoCAD Inventor :: Create Workplane From A Face In Assembly Document

Jul 15, 2011

In an assembly document, I try to add a MateConstraint between male and female side of an 45 degrees elbow. The male side is built on the XZ Plane and Y Axis And I try to create a workplane on the female face.

But a got an error with the last line of code.  Here's my code (vb.net code) :

' Get application object
Dim app As Inventor.Application = GetObject(, "Inventor.Application")       
Dim doc As Inventor.AssemblyDocument = app.ActiveDocument           

[Code] .......

View 3 Replies View Related

AutoCAD Inventor :: Use IFeature For Creating New Body

Jan 9, 2014

Is there  away to use an IFeature creating a new body?

 I mean, modeling a part as multibody, i would like to insert a feature with an iFeature, but i would like too that that new feature will be a new body.

I have tried in many ways.. including inserting in the ifeature a Split Feature..but with no sucess.

View 2 Replies View Related

AutoCAD Inventor :: How To Include Axis In IFeature

Nov 3, 2005

The Axis is part of the iFeature, yet when I place it there is nothing available.

The objective for this is to automatically include an axis to mate to with the iFeature. The axis runs through a centerpoint on the iFeature.

I have a feeling the answer is I can't but I am hoping it is operator error.

View 2 Replies View Related

AutoCAD Inventor :: Solid Body For IFeature

Jun 1, 2013

Is possible create new Body (SolidBody) for iFeature? In VBA or .NET.

View 5 Replies View Related

AutoCAD Inventor :: How To Obtain X And Y Location Of IFeature

Dec 3, 2012

Is there any way to obtain the X and Y location of an iFeature that is placed on a center point?  I cannot find a way to relate the iFeature to the point or vice versa with VBA.  Holes are easy to relate but I am stuck on relating iFeatures.

My goal is to obtain the X and Y location of several iFeatures placed a piece of steel channel.

Inventor Professional 2014 64 Bit
Windows 7 Professional
NVIDIA Quadro FX 4600
Dual Intel Xeon E5540 CPUs
16GB DDR3 Ram

View 1 Replies View Related

AutoCAD Inventor :: IFeature Folder Paths

Jan 21, 2013

I'm a single user at a small company tooling company.  I've created a handful of useful iFeatures that I've saved just in the default path:  C:UsersPublicDocumentsAutodeskInventor 2013Catalog

However, we're in discussions now about hiring another designer, so as I do new projects, I've been trying to do things cleaner and making sure that the method to my madness is obvious.  So I'm considering moving the contents of this folder to a network drive, and also one that's independent of Inventor upgrades (version # in the folder path). 

My question is this:  In the application settings, there are (3) different path settings on the iFeatures tab.  How are these different? 

When I've developed iFeatures I've usually had them initially in the Workspace directory for the current project.  Once completed and tested, I would put them in the default folder.  When I go to insert one later, the "Insert iFeature" dialog box doesn't take me to this path and I have to look it up all the time.  It just takes me back to wherever I inserted the last one from.  So what does this path in the settings box actually do for me?

If there's no "shortcut" to point to the iFeature root folder quickly, why do I care where I put them?  Couln't I create a network folder such as "Z:CADifeatures" for these and add it as a Library to my projects and save myself time?  I'd also not have to change the settings and/or make copies when we upgrade to IV2014.

Would there be a downside to doing this?  It almost seems too easy and like there's room for product improvement here.

View 1 Replies View Related

AutoCAD Inventor :: Specifying Insertion Point For Ifeature?

Aug 17, 2012

I have created a set of standard panel cutouts for connectors as ifeatures.

they work good however i created them all from one file and they were in various locations in the original file.

when i insert the objects i am unable to place them by their centers and have to re-position afterward.

Is there a way to edit the ifeature and modify the location of the insertion point?

Windows 7 64 bit
Inventor 2012 Professional
Dell T1600 CPU E31245 @ 3.30GHz
8 GB RAM

View 3 Replies View Related

AutoCAD Inventor :: Unable To Rotate IFeature

Oct 11, 2011

This is my i Feature inserted. When I try to insert it and rotate it, the slot and nubs do not rotate. Also, if I try to mirror it over the plane, the slot and nubs do not mirror. It always stays the same direction. I am on Inventor 2011.  Also, If I try to rotate it 90 deg, Inventor crashes.

View 3 Replies View Related

AutoCAD Inventor :: How To Obtain Louvre IFeature

Nov 16, 2012

I'm trying to obtain a louvre iFeature for Inventor 2010. the ifeature on the c-bliss website no longer seems to be available... it redirects to zeevix.com or something.

View 1 Replies View Related

AutoCAD Inventor :: Find Intersection Point Between Line Segment And Workplane

Aug 31, 2011

I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.

To determine where, I verify if a line segment pass through the wall (XY Plane).

But I get an error with the command: IntersectWithLine

Here's my

 Public Function IntersectionPoint(ByVal app As Inventor.Application,
ByVal wp As Inventor.WorkPlane) As Inventor.Point
Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry
Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X,
[Code] ......

View 2 Replies View Related

AutoCAD Inventor :: IFeature With Multiple References - Placement

Jan 21, 2013

Im just starting to look at I features to design, but even though my sketch is fully constrained when I place the iFeature with multiple references i can still move it using the arrows. How i could place them more accurately.

View 2 Replies View Related

AutoCAD Inventor :: Place IFeature With Point And Plane

Mar 13, 2012

In the programming I found an example to place an ifeature on a face.I've modified it to place it on a face without selectset but with features. faces. item(1)

how to place it on that face with a vertex from that face or a workpoint that lies on that face.I've tried to adapt other code on this forum but can't find it.

View 1 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved